Subject: Re: [PATCH] l10n: de.po: translate "index" as "Index"

From: Michael J Gruber <[email-masked]>
Date: Tue, 02 Jun 2015 10:22:36 +0200

Christian Stimming venit, vidit, dixit 01.06.2015 22:00:
> Am Montag, 1. Juni 2015, 12:34:31 schrieb Stefan Beller:
>> On Mon, Jun 1, 2015 at 12:26 PM, Christian Stimming <[email-masked]> 
> wrote:
>>> "index" concept, my explanation routinely says "This concept is called
>>> 'index' but it has nothing to do with any associations you make with that
>>> word. Better remember this thingy as *** and replace the termin 'index'
>>> with *** every time you read about it." where "***" is my preferred
>>> translation. The facial expressions of the audience regarding "index"
>>> regularly confirm this approach as the better one. I never encountered
>>> anyone who says "Oh, but isn't 'index' a much better term for this than
>>> what you said..."
>>
>> So the *** is cut out here, or do you literally advise to think of a
>> black magic box here?
>> I'd be interested to know your preferred translation, maybe that can
>> be used instead of Staging-Area then?
> 
> Sorry for being unclear here: I left out the concrete word I use because you 
> might need to come up with your own choice in the command-line git 
> translation. The point of this remark is rather that almost any other term is 
> better than leaving "index" as a term as-is. The term that I use is only one 
> among probably many possibilities.
> 
> In case you still want to know my preferred German word, I stick to the 
> translations that are used in git-gui, mostly still proposed by myself in 
> (huh) 2008. http://repo.or.cz/w/git-gui.git/blob/HEAD:/po/glossary/de.po  
> There, "index" isn't used in the user interface anymore but rather "staging 
> area", and that's translated into German as "Bereitstellung". In my experience 
> this term works quite well for a German-speaking developer audience, even 
> though the term with its military background is only seldomly used or known. 
> But the word triggers some well-suited associations: partly "bereit" for the 
> next step, partly "Stellung" as some extra third place in addition to working 
> copy and repository. But that might very well be a different discussion than 
> what you need to discuss for command line git.
> 
> Regards,
> 
> Christian
> 

git-gui in German is unusable for any user who knows German and knows
the technical terms used in git but not the specific choices the git-gui
translator has made. It's a great example of how not to do a translation.

Also, a translation is really the wrong place to "correct" choices made
upstream in the main project. There it is index, not staging area (for a
good reason).

The purpose of a translation is to make it easier for non-native users
to use a tool by translating (parts of) the interface into their
language - not to make it more difficult for them to use the other parts.

Michael